import z from 'zod';
import { AUDIENCE_INTENT_CHANNEL_ID_PARAM_NAME } from './constants';
import { channelIdParser } from '../../channel/parsers';

export const audienceIntentBodyParser = z.object({});

export const audienceIntentParamsParser = z.object({
  [AUDIENCE_INTENT_CHANNEL_ID_PARAM_NAME]: channelIdParser,
});

export const audienceIntentDeclarationResultParser = z.enum(['ok', 'already']);
export const audienceIntentRevocationResultParser = audienceIntentDeclarationResultParser;
