"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.firebaseCommonIdHarderParser = exports.firebaseCommonIdParser = exports.FBIDSoftRegexS = exports.FBIDHarderRegex = void 0;
const zod_1 = require("zod");
const FBIDSoftRegex = /^[a-zA-Z0-9-_]{1,50}$/;
// underscores are allowed thru admin sdk
// https://stackoverflow.com/questions/40732330/firebase-user-id-allowed-characters
exports.FBIDHarderRegex = /^[a-zA-Z0-9-]{1,50}$/;
// remove all the fun; these are real production business values
const funRefinement = (p) => p.refine((s) => s.indexOf('null') === -1).refine((s) => s.indexOf('undefined'));
exports.FBIDSoftRegexS = FBIDSoftRegex.toString();
exports.firebaseCommonIdParser = funRefinement(zod_1.z.string().regex(FBIDSoftRegex));
exports.firebaseCommonIdHarderParser = funRefinement(zod_1.z.string().regex(exports.FBIDHarderRegex));
