import { z } from 'zod';
import type { MixspaceId } from './id.types';
import { mixspaceAdminsTraitParser, mixspaceParser } from './parsers';
export type MixspaceOwnedTrait = z.infer<typeof mixspaceAdminsTraitParser>;
export interface MixspaceIdTrait {
    id: MixspaceId;
}
export type MixspaceParsed = z.infer<typeof mixspaceParser>;
export type Mixspace = MixspaceParsed;
