import { z } from 'zod';
export declare const booleanQueryParser: z.ZodEffects<z.ZodOptional<z.ZodEnum<["true", "false", ""]>>, boolean | undefined, "" | "true" | "false" | undefined>;
export declare const timestampParser: z.ZodNumber;
export declare const timestampQueryParser: z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>;
export declare const ISO_DATE_REGEX: RegExp;
export declare const isoDateTimeStringParser: z.ZodString;
