import { impossiblePaymentIntentParser, impossiblePaymentIntentsQueryParser, impossiblePaymentIntentsResultParser } from './parsers';
import z from 'zod';
export type ImpossiblePaymentIntentBody = Omit<ImpossiblePaymentIntent, 'id'>;
export type ImpossiblePaymentIntent = z.infer<typeof impossiblePaymentIntentParser>;
export type ImpossiblePaymentIntentsResult = z.infer<typeof impossiblePaymentIntentsResultParser>;
export type ImpossiblePaymentIntentsQuery = z.input<typeof impossiblePaymentIntentsQueryParser>;
export type ImpossiblePaymentIntentsQueryTransformed = z.output<typeof impossiblePaymentIntentsQueryParser>;
