import { StripeConnectClientId, StripeConnectTransferId, StripeConnectTransferReversalId, StripeCustomerId, StripeInvoiceId, StripePaymentIntentId, StripeSubscriptionId } from './types';
export declare const isStripeSubscriptionId: (id: string) => id is import("./types").StripeSubscriptionIdBrand;
export declare const castStripeSubscriptionId: (id: string) => StripeSubscriptionId;
export declare const isStripePaymentIntentId: (id: string) => id is import("./types").StripePaymentIntentIdBrand;
export declare const castStripePaymentIntentId: (id: string) => StripePaymentIntentId;
export declare const isStripeInvoiceId: (id: string) => id is import("./types").StripeInvoiceIdBrand;
export declare const castStripeInvoiceId: (id: string) => StripeInvoiceId;
export declare const isStripeCustomerId: (id: string) => id is import("./types").StripeCustomerIdBrand;
export declare const castStripeCustomerId: (id: string) => StripeCustomerId;
export declare const isStripePriceId: (id: string) => id is import("./types").StripePlanIdBrand;
export declare const isStripeProductId: (id: string) => id is import("./types").StripeProductIdBrand;
export declare const isStripePaymentMethodId: (id: string) => id is import("./types").StripePaymentMethodIdBrand;
export declare const isStripeConnectTransferId: (id: string) => id is import("./types").StripeConnectTransferIdBrand;
export declare const castStripeConnectTransferId: (id: string) => StripeConnectTransferId;
export declare const isStripeConnectTransferReversalId: (id: string) => id is import("./types").StripeConnectTransferReversalIdBrand;
export declare const castStripeConnectTransferReversalId: (id: string) => StripeConnectTransferReversalId;
export declare const isStripeConnectClientId: (id: string) => id is import("./types").StripeConnectClientIdBrand;
export declare const castStripeConnectClientId: (id: string) => StripeConnectClientId;
