import {
  payoutBatchItemCompositeKeySerializedParser,
  payoutBatchLineableItemCompositeKeySerializedParser,
} from './parsers.serialized';

describe('payout serialized parsers', () => {
  describe('payoutBatchLineableItemCompositeKeySerializedParser', () => {
    it('does the job', () => {
      payoutBatchLineableItemCompositeKeySerializedParser.parse('f26rWCTDUiQnbhlCTBDfWFwND8c2:stripe:USD');
      expect(() =>
        payoutBatchLineableItemCompositeKeySerializedParser.parse('f26rWCTDUiQnbhlCTBDfWFwND8c2:paypal:USD')
      ).toThrow('invalid_enum_value');
    });
  });
  describe('payoutBatchLineableItemCompositeKeySerializedParser', () => {
    it('does the job', () => {
      payoutBatchItemCompositeKeySerializedParser.parse('f26rWCTDUiQnbhlCTBDfWFwND8c2:stripe:USD');
      payoutBatchItemCompositeKeySerializedParser.parse('f26rWCTDUiQnbhlCTBDfWFwND8c2:paypal:USD');
    });
  });
});
