import { StripeConnectClientId } from '../../stripe/types';

// this special account has payouts (transfers) to it but also has several users pointing to it; we cannot know which user have received the payment
const SPECIAL_STRIPE_ACCOUNT_AUSTIN_12345 = 'acct_1Fz7avDvo1fzl1N9' as StripeConnectClientId;
// same symptoms but belong to users
const SPECIAL_STRIPE_ACCOUNT_1 = 'acct_1IK9d1RHIsb8oM0W' as StripeConnectClientId;
const SPECIAL_STRIPE_ACCOUNT_2 = 'acct_1IaA5PRA4UPmEyG1' as StripeConnectClientId;
// one "head" account with several user "bodies" pointing to it
const USER_SPECIAL_STRIPE_ACCOUNTS_ONE_HEAD_MULTIBODY = [SPECIAL_STRIPE_ACCOUNT_1, SPECIAL_STRIPE_ACCOUNT_2] as const;
const CURRENTS_SPECIAL_STRIPE_ACCOUNTS_ONE_HEAD_MULTIBODY = [SPECIAL_STRIPE_ACCOUNT_AUSTIN_12345] as const;

export const SPECIAL_STRIPE_ACCOUNTS_ONE_HEAD_MULTIBODY = [
  ...CURRENTS_SPECIAL_STRIPE_ACCOUNTS_ONE_HEAD_MULTIBODY,
  ...USER_SPECIAL_STRIPE_ACCOUNTS_ONE_HEAD_MULTIBODY,
] as const;

export const IGNORED_ACCOUNTS_SET = new Set(SPECIAL_STRIPE_ACCOUNTS_ONE_HEAD_MULTIBODY);
