import { z } from 'zod';
import { REQUEST_BODY_PASSWORD_FIELD_NAME, REQUEST_BODY_USERNAME_FIELD_NAME } from './constants';

export const localAuthRequestParser = z.object({
  [REQUEST_BODY_USERNAME_FIELD_NAME]: z.string(),
  [REQUEST_BODY_PASSWORD_FIELD_NAME]: z.string(), // NOT password parser; it's freeform
});
