import z from 'zod';
import { userBooksMovementConversionProviderBodyParser, userBooksMovementConversionProviderParamsParser } from './parsers';
export declare enum UserBooksMovementConversionProviderBatchIdBrand {
    _ = ""
}
export type UserBooksMovementConversionProviderBatchId = string & UserBooksMovementConversionProviderBatchIdBrand;
export type UserBooksMovementConversionProviderParams = z.input<typeof userBooksMovementConversionProviderParamsParser>;
export type UserBooksMovementConversionProviderParamsTransformed = z.output<typeof userBooksMovementConversionProviderParamsParser>;
export type UserBooksMovementConversionProviderBody = z.input<typeof userBooksMovementConversionProviderBodyParser>;
export type UserBooksMovementConversionProviderBodyTransformed = z.output<typeof userBooksMovementConversionProviderBodyParser>;
