"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ROUTING_STRATEGY_SERIALIZED_KV_SEPARATOR = exports.ROUTING_STRATEGY_SERIALIZED_SEPARATOR = exports.ROUTING_STRATEGIES = exports.ROUTING_STRATEGY_FANOUT = exports.ROUTING_STRATEGY_KEY_ACTIVATION_THRESHOLD = exports.ROUTING_STRATEGY_KEY_THRESHOLD = exports.ROUTING_STRATEGY_KEY_FANOUT = void 0;
exports.ROUTING_STRATEGY_KEY_FANOUT = 'fanout';
exports.ROUTING_STRATEGY_KEY_THRESHOLD = 'threshold';
exports.ROUTING_STRATEGY_KEY_ACTIVATION_THRESHOLD = 'activationThreshold';
// unit
// fanout is equivalent to threshold 0
exports.ROUTING_STRATEGY_FANOUT = {
    key: exports.ROUTING_STRATEGY_KEY_FANOUT,
};
exports.ROUTING_STRATEGIES = [
    exports.ROUTING_STRATEGY_KEY_FANOUT,
    exports.ROUTING_STRATEGY_KEY_THRESHOLD,
    exports.ROUTING_STRATEGY_KEY_ACTIVATION_THRESHOLD,
];
// like url params
exports.ROUTING_STRATEGY_SERIALIZED_SEPARATOR = '&';
exports.ROUTING_STRATEGY_SERIALIZED_KV_SEPARATOR = '=';
