"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.routingStrategySerializedParser = void 0;
const zod_1 = __importDefault(require("zod"));
const types_1 = require("../../utils/types");
const isomorphism_1 = require("./isomorphism");
// to remove cycles
// TODO ??? https://stackoverflow.com/questions/74108767/zod-compose-a-string-and-an-object-parsers
exports.routingStrategySerializedParser = zod_1.default
    .string()
    .transform((0, types_1.cast)())
    .transform(isomorphism_1.routingStrategyIsomorphism.to);
