"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertStringStrict = exports.castString = void 0;
const castString = (s) => {
    if (typeof s === 'string')
        return s;
    throw new Error(`Expected string, got ${typeof s}`);
};
exports.castString = castString;
// useful for parsers when we know it's a string but a parser still expects unknown
const assertStringStrict = (s) => (0, exports.castString)(s);
exports.assertStringStrict = assertStringStrict;
