export const ROUTING_STRATEGY_KEY_FANOUT = 'fanout' as const;
export const ROUTING_STRATEGY_KEY_THRESHOLD = 'threshold' as const;
export const ROUTING_STRATEGY_KEY_ACTIVATION_THRESHOLD = 'activationThreshold' as const;

// unit
// fanout is equivalent to threshold 0
export const ROUTING_STRATEGY_FANOUT = {
  key: ROUTING_STRATEGY_KEY_FANOUT,
};

export const ROUTING_STRATEGIES = [
  ROUTING_STRATEGY_KEY_FANOUT,
  ROUTING_STRATEGY_KEY_THRESHOLD,
  ROUTING_STRATEGY_KEY_ACTIVATION_THRESHOLD,
] as const;

// like url params
export const ROUTING_STRATEGY_SERIALIZED_SEPARATOR = '&' as const;
export const ROUTING_STRATEGY_SERIALIZED_KV_SEPARATOR = '=' as const;
